description

# LineSplitter class Null safety

A StreamTransformer that splits a String into individual lines.

A line is terminated by either a CR (U+000D), a LF (U+000A), a CR+LF sequence (DOS line ending), and a final non-empty line can be ended by the end of the string.

The returned lines do not contain the line terminators.

Inheritance
  - Object
  - StreamTransformerBase<String, String>
  - LineSplitter

## Constructors

LineSplitter()
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bind(Stream<String> stream) → Stream<String>
  Transforms the provided `stream`. [...]
  override
cast<RS, RT>() → StreamTransformer<RS, RT>
  Provides a `StreamTransformer<RS, RT>` view of this stream transformer. [...]
  inherited
convert(String data) → List<String>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
startChunkedConversion(Sink<String> sink) → StringConversionSink
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

split(String lines, [int start = 0, int? end]) → Iterable<String>
  Split `lines` into individual lines. [...]